Skip to content
Management API Reference

Delete all endpoints

delete/v2/organizations/{slug}/webhooks/endpoints

Delete all endpoints including all events and deliveries.

Any in-flight webhooks will result in a no-op.

Path parameters

  • slug
    Required
    string

    Organization slug

Response codes

  • 200
  • 400
  • 401
  • 403
  • 408
  • 429
  • 500

Response (200)

{
"data": [
{
"type": "endpoint",
"id": "00000000-0000-0000-0000-000000000000",
"attributes": {
"id": "00000000-0000-0000-0000-000000000000",
"url": "https://mydomain.com/path/to/handler",
"enabled": true,
"description": "lorem",
"event_types": [
{
"type": "v1.project.paused"
}
],
"custom_headers": {
"Authorization": "Bearer example_token"
},
"created_by": "00000000-0000-0000-0000-000000000000",
"created_at": "4404-02-29T04:24Z"
}
}
]
}